package services

import (
	solidarity_service "git.coopgo.io/coopgo-apps/silvermobi/servers/grpcapi/proto"
	"google.golang.org/grpc"
)

type SolidarityService struct {
	solidarity_service.SolidarityServiceClient
}

func NewSolidarityService(silvermobiDial string) (*SolidarityService, error) {
	conn, err := grpc.Dial(silvermobiDial, grpc.WithInsecure())
	
	client := solidarity_service.NewSolidarityServiceClient(conn)
	if err != nil {
		return nil, err
	}

	return &SolidarityService{
		SolidarityServiceClient: client,
	}, nil
}
